SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000817: frox: frox should use squid - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000817Endian FirewallOther Servicespublic2008-05-16 09:392009-10-27 13:27
Reporterpeter-endian 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionnot fixable 
PlatformOSOS Version
Product Version 
Target Version2.3Fixed in Version2.3 
Summary0000817: frox: frox should use squid
Descriptionfrox should use squid as parent proxy and the GUI should be merged with that of HTTP.
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0001156closedchris-endian frox: lacks possibility to bypass 

-  Notes
(0002014)
peter-endian (administrator)
2009-03-05 20:54

frox can use squid as parent cache. But there are a number of problems to be addressed.

First how to configure frox in order to make it use squid:

CacheModule HTTP # make HTTP connections when getting a file
HTTPProxy 192.168.20.1:8080 # use that proxy (squid)
ForceHTTP yes # make also http conn's when the proxy is not able
                             # to retrieve the file. do not try to get it
                             # for yourself
CacheAll yes # cache also for non-anonymous ftp servers
StrictCaching yes

frox does the following:
- opens a command connection to the ftp server
- opens direct data connections for every directory change etc.
- opens a connection to squid only when a file needs to be downloaded
- when a file needs to be downloaded asks the proxy

The problems:
- ForceHTTP seems to have no effect. When squid would block the file (policy),
  frox logs that the cache is unable to retrieve and then retrives directly
- frox connections go to the last squid, and not to the whole proxy chain, so
  this way no antivirus and contentfilter.
- need to verify that non-anonymous ftp go also through squid
- active connections ? i don't think they will work.. probably *APConv* will do
  fine
- directory listings will *always* go directly and not through squid

- Issue History
Date Modified Username Field Change
2008-05-16 09:39 peter-endian New Issue
2008-07-23 11:28 peter-endian Relationship added duplicate of 0001156
2008-09-10 15:58 chris-endian Target Version 2.3 => future
2009-03-05 20:54 peter-endian Note Added: 0002014
2009-06-09 19:30 peter-endian Status new => closed
2009-06-09 19:30 peter-endian Resolution open => not fixable
2009-10-27 12:22 peter-endian Fixed in Version => 2.3
2009-10-27 13:27 peter-endian Target Version future => 2.3

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker